Analytics Overview
curl --request GET \
--url https://api.example.com/api/messaging/analytics/overview/import requests
url = "https://api.example.com/api/messaging/analytics/overview/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/messaging/analytics/overview/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"period": {
"start": "2025-11-01T00:00:00Z",
"end": "2025-11-27T23:59:59Z"
},
"overview": {
"total_messages": 10000,
"delivered": 9500,
"failed": 500,
"delivery_rate": 95.0,
"total_cost": 500.00,
"average_cost_per_message": 0.05
},
"by_status": {
"sent": 10000,
"delivered": 9500,
"failed": 500
},
"by_day": [
{
"date": "2025-11-01",
"sent": 500,
"delivered": 475,
"failed": 25
}
]
}
Dashboard & Analytics
Analytics Overview
GET
/
api
/
messaging
/
analytics
/
overview
/
Analytics Overview
Get comprehensive analytics overview for a date range.
date
Start date (YYYY-MM-DD)
date
End date (YYYY-MM-DD)
Requires authentication. Include the access token in the Authorization header.
Success Response (200)
object
Period object with start and end dates
object
Overview statistics
integer
Total messages in the period
integer
Total delivered messages
integer
Total failed messages
float
Delivery rate percentage
float
Total cost
float
Average cost per message
object
Breakdown by status
array
Daily breakdown array
{
"period": {
"start": "2025-11-01T00:00:00Z",
"end": "2025-11-27T23:59:59Z"
},
"overview": {
"total_messages": 10000,
"delivered": 9500,
"failed": 500,
"delivery_rate": 95.0,
"total_cost": 500.00,
"average_cost_per_message": 0.05
},
"by_status": {
"sent": 10000,
"delivered": 9500,
"failed": 500
},
"by_day": [
{
"date": "2025-11-01",
"sent": 500,
"delivered": 475,
"failed": 25
}
]
}
⌘I